VERSION 5.00
Begin VB.UserControl PictureDownloader 
   ClientHeight    =   555
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   630
   InvisibleAtRuntime=   -1  'True
   Picture         =   "PictureDownloader.ctx":0000
   ScaleHeight     =   555
   ScaleWidth      =   630
   ToolboxBitmap   =   "PictureDownloader.ctx":033E
End
Attribute VB_Name = "PictureDownloader"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Event PictureReady()
Public Sub DownloadPicture(ByVal picture_url As String)
    On Error GoTo DownloadPictureError
    AsyncRead picture_url, vbAsyncTypePicture
    Exit Sub

DownloadPictureError:
    MsgBox "Error " & Err.Number & " starting download." & _
        vbCrLf & Err.Description
    Exit Sub
End Sub


Private Sub UserControl_AsyncReadComplete(AsyncProp As AsyncProperty)
    On Error GoTo AsyncReadCompleteError
    Set UserControl.Picture = AsyncProp.Value
    RaiseEvent PictureReady
    Exit Sub

AsyncReadCompleteError:
    MsgBox "Error " & Err.Number & " reading result." & _
        vbCrLf & Err.Description
    Exit Sub
End Sub

' Return the control's Picture. Only use this procedure
' after the control raises the PictureReady event.
Public Property Get Picture() As Picture
Attribute Picture.VB_Description = "Returns/sets a graphic to be displayed in a control."
    Set Picture = UserControl.Picture
End Property

Private Sub UserControl_Resize()
Const WID = 39
Const HGT = 35

    Width = ScaleX(WID, vbPixels, vbTwips)
    Height = ScaleX(HGT, vbPixels, vbTwips)
End Sub


